Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007737TestLinkRequirement Revisioningpublic2016-11-10 10:322016-12-28 19:01
Reportervhernin 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007737: DB Access Error - debug_print_backtrace() OUTPUT START - creating req revision
DescriptionI edit a requirement, modify a few fields, save it.

Then I'm asked to enter a log and when I save, the error message occur.
Steps To Reproduce- select a requirement
- Click on Edit button
- Modify fields
- Save
- Enter a log
Additional Information ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)

            Having this additional Information could be useful for reporting

            issue to development TEAM.

 ==============================================================================

#0 database->exec_query( /* Class:requirement_mgr - Method: create_new_revision */ UPDATE req_versions SET revision = 6, log_message=' debugage', creation_ts = '2016-11-10 08:42:31' ,author_id = 6, modifier_id = NULL, modification_ts = NULL WHERE id = 5 ) called at [/var/www/html/testlink/lib/functions/requirement_mgr.class.php:2947]
#1 requirement_mgr->create_new_revision(5, 6, 1, Array ([id] => 4,[srs_id] => 2,[req_doc_id] => EX1,[scope] =>

test
,[status] => D,[type] => 3,[active] => 1,[is_open] => 1,[author_id] => 1,[version] => 1,[version_id] => 5,[expected_coverage] => 1,[creation_ts] => 2016-11-09 17:06:10,[modifier_id] => ,[modification_ts] => 2016-11-09 18:06:10,[revision] => 1,[revision_id] => -1,[title] => Exigence 1,[testproject_id] => 1,[req_spec_title] => Entrée unitaire (type manuel),[req_spec_doc_id] => ENT-02-001,[node_order] => 1,[author] => admin,[modifier] => ), debugage) called at [/var/www/html/testlink/lib/functions/requirement_mgr.class.php:518]
0000002 requirement_mgr->update(4, 5, EX1, Exigence 1,

test de modif
, 6, I, 3, 1, , , 0, 1, debugage) called at [/var/www/html/testlink/lib/requirements/reqCommands.class.php:302]
0000003 reqCommands->doUpdate(stdClass Object ([requirement_id] => 4,[req_version_id] => 5,[req_spec_id] => 0,[req_title] => Exigence 1,[req_id_cbox] => ,[reqDocId] => EX1,[reqStatus] => I,[reqType] => 3,[containerID] => ,[scope] =>

test de modif
,[countReq] => ,[expected_coverage] => 1,[doAction] => doUpdate,[itemSet] => ,[testcase_count] => ,[copy_testcase_assignment] => ,[relation_id] => ,[relation_source_req_id] => ,[relation_type] => ,[relation_destination_req_doc_id] => ,[relation_destination_testproject_id] => ,[save_rev] => 1,[do_save] => 1,[log_message] => debugage,[tcaseIdentity] => ,[file_id] => ,[fileTitle] => ,[req_id] => 4,[title] => Exigence 1,[arrReqIds] => ,[basehref] => http://213.32.79.242/testlink/,[tproject_id] [^] => 1,[tproject_name] => Projet VITAM,[tcasePrefix] => PVI,[user_id] => 6,[refreshTree] => 1,[stay_here] => 0), Array ([CSRFName] => CSRFGuard_1440726466,[CSRFToken] => b819a5a39eacf2d8c3b30c4b81fe6461921567e3dc2d8ff3ad2940266fdf3e702dfe93b034f371895dfff74a12d86de9bdd5c881fefb8030486477ae8bff60f2,[req_spec_id] => 0,[requirement_id] => 4,[req_version_id] => 5,[last_doc_id] => 4,[save_rev] => 1,[log_message] => debugage,[goaway] => 1,[prompt4log] => 0,[do_save] => 1,[prompt4revision] => 0,[reqDocId] => EX1,[req_title] => Exigence 1,[scope] =>

test de modif

,[reqStatus] => I,[reqType] => 3,[expected_coverage] => 1,[custom_field_0_2] => ,[custom_field_6_3] => Vue,[custom_field_6_4] => Passante,[doAction] => doUpdate)) called at [/var/www/html/testlink/lib/requirements/reqEdit.php:41]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.6.34
BrowserFirefox 29.0.1
PHP Version5.6.27
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Requete 1.JPG [^] (109,630 bytes) 2016-11-22 08:52

- Relationships

-  Notes
(0025557)
fman (administrator)
2016-11-10 11:04

would you mind to get latest code from github, do fresh install on sandbox and retest?
(0025558)
vhernin (reporter)
2016-11-10 11:15
edited on: 2016-11-14 11:28

Latest code ? can you give me the URL ? is this a file replacement ?

(0025570)
vhernin (reporter)
2016-11-16 09:21

up!
(0025576)
vhernin (reporter)
2016-11-16 14:08

All I found on github is the same release I installed 1.9.15, could you please give me precisions ??
(0025616)
vhernin (reporter)
2016-11-21 13:01

So I installed the "latest code" and nothing change !
(0025617)
fman (administrator)
2016-11-21 20:15
edited on: 2016-11-21 20:17

Just tested using XAMPP 5.6.3.0 on MAC OS

PHP 5.6.3 (cli) (built: Nov 17 2014 10:27:53)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2014 Zend Technologies
    with blackfire v1.0.0, https://blackfire.io/, [^] by SensioLabs

MySQL Server version: 5.6.21 Source distribution




1) get latest code from github
2) fresh install
3) Create 1 test project
4) create 1 req spec
5) create a req
6) create a new revision for req => everything OK.

I suggest you try from a mysql client some of the queries on the error message, in this way may be you get more useful info.

regards

(0025618)
vhernin (reporter)
2016-11-22 08:59

I re-test today, here is the error message :
--------------------------------
 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)

            Having this additional Information could be useful for reporting

            issue to development TEAM.

 ==============================================================================

#0 database->exec_query( /* Class:requirement_mgr - Method: create_new_revision */ UPDATE req_versions SET revision = 15, log_message=' sans slash', creation_ts = '2016-11-22 08:05:27' ,author_id = 1, modifier_id = NULL, modification_ts = NULL WHERE id = 418 ) called at [/var/www/html/testlink/lib/functions/requirement_mgr.class.php:2947]
#1 requirement_mgr->create_new_revision(418, 1, 414, Array ([id] => 417,[srs_id] => 415,[req_doc_id] => 1,[scope] =>

Fichier / dossier / arborescence sans compression
,[status] => D,[type] => 3,[active] => 1,[is_open] => 1,[author_id] => 1,[version] => 1,[version_id] => 418,[expected_coverage] => 10,[creation_ts] => 2016-11-14 09:00:08,[modifier_id] => ,[modification_ts] => 2016-11-14 10:00:08,[revision] => 1,[revision_id] => -1,[title] => Intégrer un fichier brut non compressé,[testproject_id] => 414,[req_spec_title] => Entrée unitaire (type manuel),[req_spec_doc_id] => ENT-02-001,[node_order] => 2,[author] => admin,[modifier] => ), sans slash) called at [/var/www/html/testlink/lib/functions/requirement_mgr.class.php:518]
0000002 requirement_mgr->update(417, 418, 1, Intégrer un fichier brut non compressé,

Fichier dossier arborescence sans compression
, 1, D, 3, 10, , , 0, 1, sans slash) called at [/var/www/html/testlink/lib/requirements/reqCommands.class.php:302]
0000003 reqCommands->doUpdate(stdClass Object ([requirement_id] => 417,[req_version_id] => 418,[req_spec_id] => 0,[req_title] => Intégrer un fichier brut non compressé,[req_id_cbox] => ,[reqDocId] => 1,[reqStatus] => D,[reqType] => 3,[containerID] => ,[scope] =>

Fichier dossier arborescence sans compression
,[countReq] => ,[expected_coverage] => 10,[doAction] => doUpdate,[itemSet] => ,[testcase_count] => ,[copy_testcase_assignment] => ,[relation_id] => ,[relation_source_req_id] => ,[relation_type] => ,[relation_destination_req_doc_id] => ,[relation_destination_testproject_id] => ,[save_rev] => 1,[do_save] => 1,[log_message] => sans slash,[tcaseIdentity] => ,[file_id] => ,[fileTitle] => ,[req_id] => 417,[title] => Intégrer un fichier brut non compressé,[arrReqIds] => ,[basehref] => http://213.32.79.242/testlink/,[tproject_id] [^] => 414,[tproject_name] => Vitam SandBox,[tcasePrefix] => VSB,[user_id] => 1,[refreshTree] => 1,[stay_here] => 0), Array ([CSRFName] => CSRFGuard_275229380,[CSRFToken] => d6cb225bf10c4bf12165839c1c1ccad9f3f72257f8c967b4e1342e4e0cc20d5d3997b45914003db79e167dda5ac8b008125573326d7c9403978745ad246ab63d,[req_spec_id] => 0,[requirement_id] => 417,[req_version_id] => 418,[last_doc_id] => 85,[save_rev] => 1,[log_message] => sans slash,[goaway] => 1,[prompt4log] => 0,[do_save] => 1,[prompt4revision] => 0,[reqDocId] => 1,[req_title] => Intégrer un fichier brut non compressé,[scope] =>

Fichier dossier arborescence sans compression

,[reqStatus] => D,[reqType] => 3,[expected_coverage] => 10,[custom_field_0_2] => Strat 656,[custom_field_6_3] => Vue,[custom_field_6_4] => Passante,[doAction] => doUpdate)) called at [/var/www/html/testlink/lib/requirements/reqEdit.php:41]
-------------------------

I run "manualy" the first query ; there is a problem with the column 'modification_ts', it should not be NULL (see the uploaded file)

Further in the error message, we can see "[modification_ts] => 2016-11-14 10:00:08", if it's a modification timestamp, the date is wrong as the today's date is 2016-11-22.

however, I saw no field "modification date" or something like that, so I presume, it should be generated by Testlink....
(0025620)
fman (administrator)
2016-11-22 20:19

Please try
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/365c5468706903f425ff2f2f813b3a2634f32e07 [^]

and provide feedback
(0025624)
vhernin (reporter)
2016-11-23 09:38
edited on: 2016-11-23 09:56

First :

I don't gave you the permission to access to my server and do your stuff !

Second:

your solution did not correct my problem : the frame on the left disappear and the application is unusable !

I removed it !


- Issue History
Date Modified Username Field Change
2016-11-10 10:32 vhernin New Issue
2016-11-10 11:04 fman Note Added: 0025557
2016-11-10 11:15 vhernin Note Added: 0025558
2016-11-14 11:28 vhernin Note Edited: 0025558 View Revisions
2016-11-16 09:21 vhernin Note Added: 0025570
2016-11-16 14:08 vhernin Note Added: 0025576
2016-11-21 13:01 vhernin Note Added: 0025616
2016-11-21 20:15 fman Note Added: 0025617
2016-11-21 20:17 fman Note Edited: 0025617 View Revisions
2016-11-21 20:18 fman Assigned To => fman
2016-11-21 20:18 fman Status new => feedback
2016-11-22 08:52 vhernin File Added: Requete 1.JPG
2016-11-22 08:59 vhernin Note Added: 0025618
2016-11-22 08:59 vhernin Status feedback => assigned
2016-11-22 20:17 fman QA Team - Task Workflow Status => TBD
2016-11-22 20:17 fman Summary DB Access Error - debug_print_backtrace() OUTPUT START => DB Access Error - debug_print_backtrace() OUTPUT START - creating req revision
2016-11-22 20:19 fman Note Added: 0025620
2016-11-22 20:19 fman Status assigned => feedback
2016-11-23 09:07 vhernin Note Added: 0025622
2016-11-23 09:07 vhernin Status feedback => assigned
2016-11-23 09:32 fman Note Deleted: 0025622
2016-11-23 09:38 vhernin Note Added: 0025624
2016-11-23 09:56 vhernin Note Edited: 0025624 View Revisions
2016-12-28 19:01 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-12-28 19:01 fman Status assigned => resolved
2016-12-28 19:01 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-12-28 19:01 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker